#include "io/iostr.h"
#include "u/t_io.h"

#include "io/memstream.h"

void
IoIostrTestSuite::testIoIostr()
{
    Ptr<MemoryStream> ms = new MemoryStream();
    StandardStream ss(ms);

    ss << "hello, world" << std::flush;
    TS_ASSERT_EQUALS(ms->getContentsAsString(), "hello, world");

    ss.seekp(1);
    ss << 'a' << std::flush;
    TS_ASSERT_EQUALS(ms->getContentsAsString(), "hallo, world");

    ss.open(new MemoryStream());
    ss << "plah" << std::flush;
    TS_ASSERT_EQUALS(ms->getContentsAsString(), "hallo, world");
}
