/**
  *  \file resmgr/res-wp.h
  *  \brief Winplan Resource Provider
  *
  *  (c) 2001-2008 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESMGR_RES_WP_H
#define PCC_V2_RESMGR_RES_WP_H

#include "resmgr/resmgr.h"
#include "io/dirs.h"

class ResProviderWinplanBitmaps : public ResSimpleProvider {
    Ptr<Directory> dir;
 public:
    ResProviderWinplanBitmaps(Ptr<Directory> d);
    ResProviderWinplanBitmaps(string_t s);
    ~ResProviderWinplanBitmaps();

    void loadPixmap(ResManager& mgr, ResId id);
};

#endif
