/**
  *  \file u/t_arch.h
  */
#ifndef PCC_V2_U_T_ARCH_H
#define PCC_V2_U_T_ARCH_H

#include "cxxtest/TestSuite.h"

class ArchFileTestSuite : public CxxTest::TestSuite {
    void doCreateFile();
    void doReadFile(const char content[]);
    void doModifyFile();
 public:
    ArchFileTestSuite();
    ~ArchFileTestSuite();
    void testFileAccess();
};

class Directory;

class ArchDirectoryTestSuite : public CxxTest::TestSuite {
    void checkDirectoryForFile(Directory&, const char*, bool mustExist);
 public:
    ArchDirectoryTestSuite();
    ~ArchDirectoryTestSuite();
    void testDirectoryAccess();
};

class ArchPlatformTestSuite : public CxxTest::TestSuite {
 public:
    void testPlatformDirs();
};

#endif
